package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会员对象 mall_member_user
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
public class MallMemberUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 微信号 */
    private String wechat;

    /** 性别: 0 未知, 1 男, 2 女 */
    private String sex;

    /** openId */
    private String openid;

    /** 用户头像 */
    @Excel(name = "用户头像")
    private String avatar;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String name;

    /** 用户密码(授权登录的话 暂时没用) */
    private String password;

    /** token */
    private String token;

    /** 账户状态:0 正常 1 冻结 */
    @Excel(name = "账户状态:0 正常 1 冻结")
    private String status;

    /** 推荐人ID */
    private Long introUser;

    /** 余额 */
    private BigDecimal money;

    /** 历史消费金额 */
    private BigDecimal allMoney;

    /** 分享时的二维码图片 */
    private String qrCode;

    /** 注册时间 */
    @Excel(name = "注册时间")
    private String createAt;

    /** 修改时间 */
    private String updateAt;

    /** 删除标记 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setWechat(String wechat) 
    {
        this.wechat = wechat;
    }

    public String getWechat() 
    {
        return wechat;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setOpenid(String openid) 
    {
        this.openid = openid;
    }

    public String getOpenid() 
    {
        return openid;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPassword(String password) 
    {
        this.password = password;
    }

    public String getPassword() 
    {
        return password;
    }
    public void setToken(String token) 
    {
        this.token = token;
    }

    public String getToken() 
    {
        return token;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setIntroUser(Long introUser) 
    {
        this.introUser = introUser;
    }

    public Long getIntroUser() 
    {
        return introUser;
    }
    public void setMoney(BigDecimal money) 
    {
        this.money = money;
    }

    public BigDecimal getMoney() 
    {
        return money;
    }
    public void setAllMoney(BigDecimal allMoney) 
    {
        this.allMoney = allMoney;
    }

    public BigDecimal getAllMoney() 
    {
        return allMoney;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("phone", getPhone())
            .append("wechat", getWechat())
            .append("sex", getSex())
            .append("openid", getOpenid())
            .append("avatar", getAvatar())
            .append("name", getName())
            .append("password", getPassword())
            .append("token", getToken())
            .append("status", getStatus())
            .append("introUser", getIntroUser())
            .append("money", getMoney())
            .append("allMoney", getAllMoney())
            .append("qrCode", getQrCode())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
